## Use Cases in Mermaid

```mermaid
sequenceDiagram
    participant U as User
    participant CTC
    participant CSV
    participant CTC_Auth as CTC/Auth

    autonumber
    rect rgb(0, 100, 0)
      par Get Data
        CSV->>CTC_Auth: A Database that keeps Usage data
        Note right of CSV: REST API
        CTC_Auth-->>CSV: Return Usage data
      end
    end

    U->>CTC: Logs in
    CTC-->>U: Returns Security Token
    CTC->>CSV: Opens CSV Window
    U->>CSV: Asks for system visualisations
    CSV-->>CSV: Query Internal Database
    CSV-->>U: Displays Visualisations
```
